import { InternalEventManager } from "./internal-event-manager";
const internalEventManager = new InternalEventManager();
export { TaskDispatcherEvent, createEvent, } from "./events";
export function on(eventName, eventReceiver) {
    let receiver = eventReceiver;
    if ("onReceive" in eventReceiver) {
        receiver = (event) => eventReceiver.onReceive(event);
    }
    return internalEventManager.on(eventName, receiver);
}
export function off(eventName, listenerId) {
    if (!listenerId) {
        internalEventManager.off(eventName);
    }
    else {
        internalEventManager.off(eventName, listenerId);
    }
}
export function emit(dispatchableEvent) {
    internalEventManager.emit(dispatchableEvent);
}
export function hasListeners(eventName) {
    return internalEventManager.hasListeners(eventName);
}
//# sourceMappingURL=index.js.map