import { getTask } from "./provider";
import { taskGraphBrowser } from "./graph/browser";
export class ForegroundChecker {
    constructor(taskProvider = getTask, graphBrowser = taskGraphBrowser) {
        this.taskProvider = taskProvider;
        this.graphBrowser = graphBrowser;
    }
    requiresForegroundThroughChain(taskName) {
        const task = this.taskProvider(taskName);
        if (!task.runsInBackground()) {
            return true;
        }
        for (let outputEvent of task.outputEventNames) {
            const requiresForeground = this.graphBrowser.anyFrom(outputEvent, (childTask) => !childTask.instance.runsInBackground());
            if (requiresForeground) {
                return true;
            }
        }
        return false;
    }
}
//# sourceMappingURL=foreground-checker.js.map