let tasks = {};
export function getTask(name) {
    checkIfTaskExists(name);
    return tasks[name];
}
export function checkIfTaskExists(name) {
    const task = tasks[name];
    if (!task) {
        throw new TaskNotFoundError(name);
    }
}
export function registerTasks(newTasks) {
    for (const task of newTasks) {
        if (tasks[task.name]) {
            throw new Error(`Task (${task.name}) name collides with an existing task. Cannot guarantee the correct operation of the system`);
        }
        tasks[task.name] = task;
    }
}
export function setTasks(t) {
    tasks = {};
    registerTasks(t);
}
export class TaskNotFoundError extends Error {
    constructor(name) {
        super(`Task not found: ${name}`);
    }
}
//# sourceMappingURL=provider.js.map