import { createLibComponentIntent } from "../../intent-tools.android";
import { serialize, deserialize } from "../../../../utils/serialization";
export function createTaskChainRunnerServiceIntent(appContext, params) {
    const intent = createLibComponentIntent(appContext, {
        relativeClassPath: ".runners.TaskChainRunnerService",
    });
    intent.putExtra(TCRS_LAUNCH_EVENT, params.launchEvent);
    intent.putExtra(TCRS_EVENT_DATA, serialize(params.eventData));
    if (params.eventId) {
        intent.putExtra(TCRS_EVENT_ID, params.eventId);
    }
    return intent;
}
export function unpackTaskChainRunnerServiceIntent(intent) {
    if (!intent) {
        return null;
    }
    const taskChainRunnerParams = {
        launchEvent: intent.getStringExtra(TCRS_LAUNCH_EVENT),
        eventData: deserialize(intent.getStringExtra(TCRS_EVENT_DATA)),
    };
    if (intent.hasExtra(TCRS_EVENT_ID)) {
        taskChainRunnerParams.eventId = intent.getStringExtra(TCRS_EVENT_ID);
    }
    return taskChainRunnerParams;
}
const TCRS_LAUNCH_EVENT = "launchEvent";
const TCRS_EVENT_DATA = "eventData";
const TCRS_EVENT_ID = "eventId";
//# sourceMappingURL=intents.android.js.map