import { PlannedTask, PlanningType, SchedulerType, } from "../../planner/planned-task";
import { checkIfTaskExists } from "../../provider";
import { SingleTaskRunner } from "../../runners/single-task-runner";
export class InstantTaskRunner {
    constructor(taskStore) {
        this.taskStore = taskStore;
        this.taskRunner = new SingleTaskRunner(taskStore);
    }
    async run(task, dispatchableEvent) {
        checkIfTaskExists(task.name);
        let plannedTask = await this.taskStore.get(task);
        if (!plannedTask) {
            plannedTask = new PlannedTask(PlanningType.Immediate, SchedulerType.None, task);
            await this.taskStore.insert(plannedTask);
        }
        await this.taskRunner.run(plannedTask, dispatchableEvent);
        return this.taskStore.get(plannedTask.id);
    }
}
//# sourceMappingURL=instant-task-runner.js.map