import { Application } from "@nativescript/core";
export class AbstractAlarmManager {
    constructor(osAlarmManager, receiverIntent, logger) {
        this.osAlarmManager = osAlarmManager;
        this.receiverIntent = receiverIntent;
        this.logger = logger;
    }
    get alarmUp() {
        return (this.getPendingIntent(android.app.PendingIntent.FLAG_NO_CREATE) !== null);
    }
    cancel() {
        if (!this.alarmUp) {
            return;
        }
        const pendingIntent = this.getPendingIntent();
        this.osAlarmManager.cancel(pendingIntent);
        pendingIntent.cancel();
        this.logger.info("Alarm has been cancelled");
    }
    getPendingIntent(flag) {
        return android.app.PendingIntent.getBroadcast(Application.android.context, 0, this.receiverIntent, typeof flag === "undefined" ? 0 : flag);
    }
}
//# sourceMappingURL=abstract-alarm-manager.android.js.map