import { AndroidAlarmScheduler } from "../alarm/scheduler.android";
import { getLogger } from "../../../../../../utils/logger";
export class WatchdogReceiver {
    onReceive(context, intent) {
        const logger = getLogger("WatchdogReceiver");
        logger.info("Checking alarm status");
        const alarmScheduler = new AndroidAlarmScheduler();
        alarmScheduler
            .setup()
            .then(() => logger.debug("Alarm setup has run"))
            .catch((err) => {
            logger.error(err);
        });
    }
}
let _watchdogReceiver;
export function getWatchDogReceiver() {
    if (!_watchdogReceiver) {
        _watchdogReceiver = new WatchdogReceiver();
    }
    return _watchdogReceiver;
}
//# sourceMappingURL=receiver.android.js.map