import { createLibComponentIntent } from "../../intent-tools.android";
import { now } from "../../../../utils/time";
export function createAppLaunchIntent(appContext) {
    return createLibComponentIntent(appContext, {
        pathPrefix: "com.tns",
        relativeClassPath: ".NativeScriptActivity",
    });
}
export function createAlarmReceiverIntent(appContext) {
    return createLibComponentIntent(appContext, {
        relativeClassPath: ".alarms.AlarmReceiver",
    });
}
export function createWatchdogReceiverIntent(appContext) {
    return createLibComponentIntent(appContext, {
        relativeClassPath: ".alarms.WatchdogReceiver",
    });
}
export function createSavingsDeactivationIntent(appPackage) {
    return new android.content.Intent(android.provider.Settings.ACTION_REQUEST_IGNORE_BATTERY_OPTIMIZATIONS, android.net.Uri.parse(`package:${appPackage}`));
}
const ARS_RUN_IN_FOREGROUND = "foreground";
const ARS_TIME_OFFSET = "time-offset";
const ARS_INVOCATION_TIME = "invocation-time";
export function createAlarmRunnerServiceIntent(appContext, params) {
    const intent = createLibComponentIntent(appContext, {
        relativeClassPath: ".alarms.AlarmRunnerService",
    });
    intent.putExtra(ARS_RUN_IN_FOREGROUND, params.runInForeground);
    intent.putExtra(ARS_TIME_OFFSET, params.timeOffset);
    intent.putExtra(ARS_INVOCATION_TIME, params.invocationTime);
    return intent;
}
export function unpackAlarmRunnerServiceIntent(intent) {
    if (!intent) {
        return null;
    }
    return {
        runInForeground: intent.getBooleanExtra(ARS_RUN_IN_FOREGROUND, false),
        timeOffset: intent.getIntExtra(ARS_TIME_OFFSET, 0),
        invocationTime: intent.getLongExtra(ARS_INVOCATION_TIME, now()),
    };
}
//# sourceMappingURL=intents.android.js.map