import { createEvent, emit, TaskDispatcherEvent } from "../events";
export class TaskChain {
    static finalize(id, status, err) {
        const result = { status };
        if (err) {
            result.reason = err;
        }
        const endEvent = createEvent(TaskDispatcherEvent.TaskChainFinished, {
            id,
            data: {
                result,
            },
        });
        emit(endEvent);
    }
}
export var TaskResultStatus;
(function (TaskResultStatus) {
    TaskResultStatus["Ok"] = "ok";
    TaskResultStatus["Error"] = "error";
    TaskResultStatus["Cancelled"] = "cancelled";
})(TaskResultStatus || (TaskResultStatus = {}));
//# sourceMappingURL=task-chain.js.map