export class AbstractLogger {
    constructor(tag) {
        this.tag = tag;
    }
    debug(message) {
        this.logDebug(this.formatMessage(LogType.Debug, message));
    }
    info(message) {
        this.logInfo(this.formatMessage(LogType.Info, message));
    }
    warn(message) {
        this.logWarning(this.formatMessage(LogType.Warning, message));
    }
    error(message) {
        this.logError(this.formatMessage(LogType.Error, !!message.stack ? message.stack : message));
    }
    formatMessage(type, message) {
        return `[${type}] ${this.tag}: ${message}`;
    }
}
var LogType;
(function (LogType) {
    LogType["Debug"] = "DEBUG";
    LogType["Info"] = "INFO";
    LogType["Warning"] = "WARN";
    LogType["Error"] = "ERROR";
})(LogType || (LogType = {}));
//# sourceMappingURL=common.js.map