import { DevLogger } from "./dev";
import { ProdLogger } from "./prod";
let loggingEnabled = false;
function createLogger(tag) {
    if (loggingEnabled) {
        return new DevLogger(tag);
    }
    return new ProdLogger(tag);
}
let loggerCreator = createLogger;
export function enableLogging() {
    loggingEnabled = true;
}
export function disableLogging() {
    loggingEnabled = false;
}
export function setLoggerCreator(creator) {
    loggerCreator = creator;
}
export function getLogger(tag) {
    return loggerCreator(tag);
}
export { AbstractLogger } from "./common";
//# sourceMappingURL=index.js.map