import { Observable } from "@nativescript/core";
import { Task } from "./tasks";
import { TaskGraph } from "./tasks/graph";
import { LoggerCreator } from "./utils/logger";
import { EventData } from "./events";
export declare abstract class Common extends Observable {
    get tasksNotReady(): Promise<Array<Task>>;
    init(appTasks: Array<Task>, appTaskGraph: TaskGraph, config?: ConfigParams): Promise<void>;
    isReady(): Promise<boolean>;
    prepare(): Promise<void>;
    emitEvent(eventName: string, eventData?: EventData): void;
    private configure;
}
export interface ConfigParams {
    enableLogging?: boolean;
    customLogger?: LoggerCreator;
}
