import { Observable } from "@nativescript/core";
import { registerTasks } from "./internal/tasks/provider";
import { taskGraph } from "./internal/tasks/graph/loader";
import { setLoggerCreator, enableLogging } from "./internal/utils/logger";
import { taskChainLauncher } from "./internal/tasks/schedulers/event-driven";
export class Common extends Observable {
    get tasksNotReady() {
        return taskGraph.tasksNotReady();
    }
    init(appTasks, appTaskGraph, config = {}) {
        this.configure(config);
        registerTasks(appTasks);
        return taskGraph.load(appTaskGraph);
    }
    isReady() {
        return taskGraph.isReady();
    }
    prepare() {
        return taskGraph.prepare();
    }
    emitEvent(eventName, eventData = {}) {
        taskChainLauncher().launch(eventName, eventData);
    }
    configure(config) {
        if (config.customLogger) {
            setLoggerCreator(config.customLogger);
        }
        if (config.enableLogging || config.customLogger) {
            enableLogging();
        }
    }
}
//# sourceMappingURL=task-dispatcher.common.js.map